package cn.timer.api.bean.kqmk;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-05-08
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "kqgl_asso_leave_rules")
@ApiModel("假期规则")
public class KqglAssoLeaveRules extends Model<KqglAssoLeaveRules> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "假期规则编号 假期规则编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "假期名称 ", example = "假期名称")
	private String name;

	@ApiModelProperty(value = "请假单位 ", example = "1：按天请假；2：按半天；3：按小时")
	private Integer company;

	@ApiModelProperty(value = "假期类型 ", example = "1：系统项；2：自定义项")
	private Integer leaveType;

	@ApiModelProperty(value = "适用范围 ", example = "0:全公司 >0:考勤组id")
	private String apply;

	@ApiModelProperty(value = "创建时间 创建时间", example = "101")
	private Long createTime;

	@ApiModelProperty(value = "创建人员id 创建人员id", example = "101")
	private Integer createUserid;

	@ApiModelProperty(value = "企业组织代码 企业组织代码", example = "101")
	private Integer orgCode;

	@ApiModelProperty(value = "是否开启 0：否；1：是", example = "101")
	private Integer isOpen;

	@ApiModelProperty(value = "假期余额 0：关（该项余额为“不限余额”）；1：开（该项余额为“0”）", example = "101")
	private Integer leaveBalance;

}